## www.cpcwiki.eu-20230926-images.7z

=== bios_december10/Makefile ===
ASM=/Donnees/!SOFTWARE/avra-1.3.0/avra

CPC\ BOOSTER+.hex: booster_main.asm
	$(ASM) -fI -o "CPC BOOSTER+.hex" -d "CPC BOOSTER+.obj" -e "CPC BOOSTER+.eep" -m "CPC BOOSTER+.map" -l "CPC BOOSTER+.lst" "booster_main.asm"

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

# default: SDL, Arnold z80, Release

project (arnold)

set(SDL_VERSION "USE_SDL" CACHE STRING "SDL version to use")
set_property(CACHE SDL_VERSION PROPERTY STRINGS USE_SDL USE_SDL2)

set(Z80_VERSION "USE_ARNZ80" CACHE STRING "Z80 emulation to use")
set_property(CACHE Z80_VERSION PROPERTY STRINGS USE_ARNZ80 USE_INKZ80)

set(EMBED_SDL "NO" CACHE STRING "Embed SDL window inside wxWidgets window")
set_property(CACHE EMBED_SDL PROPERTY STRINGS YES NO)


# set where to put mac bundle; without it the bundle goes into the arngui folder
set(CMAKE_INSTALL_PREFIX "${PROJECT_SOURCE_DIR}/../exe/${CMAKE_BUILD_TYPE}")


if (Z80_VERSION STREQUAL "USE_INKZ80")
	set(USE_INKZ80 "Yes")
endif(Z80_VERSION STREQUAL "USE_INKZ80")

if (Z80_VERSION STREQUAL "USE_ARNZ80")
	set(USE_INKZ80 "No")
endif(Z80_VERSION STREQUAL "USE_ARNZ80")

if (SDL_VERSION STREQUAL "USE_SDL2")
	set(USE_SDL2 "Yes")
endif(SDL_VERSION STREQUAL "USE_SDL2")

if (SDL_VERSION STREQUAL "USE_SDL")
	set(USE_SDL "Yes")
endif(SDL_VERSION STREQUAL "USE_SDL")

# if build type is not defined, assume release
if(CMAKE_BUILD_TYPE STREQUAL "")
  SET(CMAKE_BUILD_TYPE Release)
ENDIF(CMAKE_BUILD_TYPE STREQUAL "")

if(CMAKE_BUILD_TYPE STREQUAL "None")
  SET(CMAKE_BUILD_TYPE Release)
ENDIF(CMAKE_BUILD_TYPE STREQUAL "None")

# set where to put mac bundle; without it the bundle goes into the arngui folder
set(CMAKE_MACOSX_BUNDLE "${PROJECT_SOURCE_DIR}/../exe/${CMAKE_BUILD_TYPE}/mac")

# set where to put exe; without it exe goes into arngui folder
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_SOURCE_DIR}/../exe/${CMAKE_BUILD_TYPE}/arnold")

# where to find cmake module files
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}")

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  # using Clang
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -pedantic ")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic ")


# if debug, turn on generate debug information for gcc compiler
IF(CMAKE_BUILD_TYPE MATCHES "Debug")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -g")
ENDIF(CMAKE_BUILD_TYPE MATCHES "Debug")


elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  # using GCC
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -pedantic ")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic ")

# if debug, turn on generate debug information for gcc compiler
IF(CMAKE_BUILD_TYPE MATCHES "Debug")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -g")
ENDIF(CMAKE_BUILD_TYPE MATCHES "Debug")


elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel")
  # using Intel C++
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
  # using Visual Studio C++
endif()


# determine big/little endian and set define based on that
INCLUDE(TestBigEndian)

TEST_BIG_ENDIAN(BIGENDIAN)
IF(${BIGENDIAN})
	if(USE_INKZ80 MATCHES "Yes")
		ADD_DEFINITIONS(-DINKZ80_ARCH_BIGENDIAN)
   	endif(USE_INKZ80 MATCHES "Yes")
	MESSAGE("Big endian found.")
ELSE(${BIGENDIAN})
     ADD_DEFINITIONS(-DCPC_LSB_FIRST)
   	MESSAGE("Little endian found.")
ENDIF(${BIGENDIAN})

if (EMBED_SDL MATCHES "YES")
set(USE_GTK2 "No")

if (UNIX)
FIND_PACKAGE(GTK2)
if (GTK2_FOUND)
 MESSAGE("Using GTK 2\n")
	FIND_PACKAGE(GDK REQUIRED)
	if (GDK_FOUND)
		MESSAGE("Using GDK")
			set(USE_GTK2 "Yes")
		      SET(CMAKE_C_FLAGS "${GTK2_CFLAGS} ")
				STRING(REGEX REPLACE "-l" "" GTK_LIBRARIES "${GTK2_LINK_FLAGS} ")
				SEPARATE_ARGUMENTS(GTK_LIBRARIES)

			INCLUDE_DIRECTORIES(${GTK2_INCLUDE_DIRS})
			INCLUDE_DIRECTORIES(${GDK_INCLUDE_DIRS})
			ADD_DEFINITIONS(-DGTK2_EMBED_WINDOW)
	else(GDK_FOUND)
		MESSAGE("Not using GDK")
	endif(GDK_FOUND)
else (GTK2_FOUND)
 MESSAGE("Not using GTK2")
 endif(GTK2_FOUND)
endif(UNIX)
endif(EMBED_SDL MATCHES "YES")

if (APPLE)
	ADD_DEFINITIONS(-DMAC_EMBED_WINDOW)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++ ")
	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -stdlib=libc++ ")
endif(APPLE)

# if we are using inkz80 z80 core set the define
if(USE_INKZ80 MATCHES "Yes")
     ADD_DEFINITIONS(-DINKZ80)
	MESSAGE("Will use InkZ80 Z80 emulation")
else(USE_INKZ80 MATCHES "Yes")
	MESSAGE("Will use Arnold's Z80 emulation")
endif(USE_INKZ80 MATCHES "Yes")

IF(USE_SDL MATCHES "Yes")
	MESSAGE("Will use SDL")
endif(USE_SDL MATCHES "Yes")

IF(USE_SDL2 MATCHES "Yes")
	MESSAGE("Will use SDL2")
endif(USE_SDL2 MATCHES "Yes")

# if we requested SDL2 try and find it and set it up
# error if we didn't find it.
IF(USE_SDL2 MATCHES "Yes")

FIND_LIBRARY(SDL2_LIBRARY SDL2)

FIND_PACKAGE(SDL2 REQUIRED)
    if ( SDL2_FOUND )
      MESSAGE("SDL2 found\n")
      INCLUDE_DIRECTORIES(${SDL2_INCLUDE_DIRS})
      ADD_DEFINITIONS(-DUSE_SDL2)
      SET(USING_SDL2 "Yes")
    else (SDL2_FOUND)
      message ( FATAL_ERROR "SDL2 not found!" )
    endif(SDL2_FOUND)
endif(USE_SDL2 MATCHES "Yes")

# if sdl2 was found, use it. Otherwise assume SDL
if ( SDL2_FOUND )
else (SDL2_FOUND)
FIND_PACKAGE( SDL REQUIRED)
if (SDL_FOUND )
  MESSAGE("SDL found\n")
  ADD_DEFINITIONS(-DUSE_SDL)
  SET(USING_SDL "Yes")
else (SDL_FOUND)
   message ( FATAL_ERROR "SDL not found!" )
endif(SDL_FOUND)

endif(SDL2_FOUND)
 

# find wxwidgets
INCLUDE(FindwxWidgets)

# if debug build then enable wx widgets debug libraries
IF(CMAKE_BUILD_TYPE MATCHES "Debug")
	SET(wxWidgets_USE_DEBUG ON)
	MESSAGE("Using DEBUG version of wxWidgets")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -D__WXDEBUG__")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -D__WXDEBUG__")
ENDIF(CMAKE_BUILD_TYPE MATCHES "Debug")

# if mac, statically link against wxwidgets. I can't find a
# wxwidgets framework
if(APPLE)
	SET(wxWidgets_USE_STATIC ON)
	
	MESSAGE("Using STATIC version of wxWidgets")
endif(APPLE)

# these are the packages we want to link against
# mac static link requires base html and xml
FIND_PACKAGE(wxWidgets REQUIRED core base adv xrc net base html xml)
  
# setup wxwidgets if found else error
  IF(NOT wxWidgets_FOUND)
    MESSAGE(FATAL_ERROR "wxWidgets 2.8+ libs/dlls not found!\nInstall/Compile wxWidget.\nMake sure WXWIN environment variable is set.")
  endif(NOT wxWidgets_FOUND)
  
 INCLUDE( ${wxWidgets_USE_FILE} )
  INCLUDE_DIRECTORIES( 
      ${WXWINDOWS_INCLUDE_PATH}  
      )

# add cpc directory
add_subdirectory (cpc)

# if inkz80, include it's directory and link against it
IF(USE_INKZ80 MATCHES "Yes")
add_subdirectory (inkz80)
endif(USE_INKZ80 MATCHES "Yes")

# add gui librray
add_subdirectory (arngui)

=== src/arngui/CMakeLists.txt ===

include_directories(${arnold_SOURCE_DIR}/cpc)
include_directories(${arnold_SOURCE_DIR}/cpc/debugger)

# add arnold z80 core if not using inkz80
IF(USE_INKZ80 MATCHES "Yes")
else(USE_INKZ80 MATCHES "Yes")
include_directories(${arnold_SOURCE_DIR}/cpc/z80)
endif(USE_INKZ80 MATCHES "Yes")

include_directories(${arnold_SOURCE_DIR}/cpc/z80tools)
include_directories(${arnold_SOURCE_DIR}/cpc/diskimage)

# include sdl "platform specific" files
if (USING_SDL MATCHES "Yes")
add_subdirectory(sdl)
include_directories(${arnold_SOURCE_DIR}/arngui/sdl)
link_directories(${arnold_SOURCE_DIR}/arngui/sdl)

# add common sdl files
add_subdirectory(sdlcommon)
include_directories(${arnold_SOURCE_DIR}/arngui/sdlcommon)
link_directories(${arnold_SOURCE_DIR}/arngui/sdlcommon)

endif(USING_SDL MATCHES "Yes")

# include sdl2 "platform specific" files
if (USING_SDL2 MATCHES "Yes")
add_subdirectory(sdl2)
include_directories(${arnold_SOURCE_DIR}/arngui/sdl2)
link_directories(${arnold_SOURCE_DIR}/arngui/sdl2)

# add common files
add_subdirectory(sdlcommon)
include_directories(${arnold_SOURCE_DIR}/arngui/sdlcommon)
link_directories(${arnold_SOURCE_DIR}/arngui/sdlcommon)

endif(USING_SDL2 MATCHES "Yes")

# gui source files
set(gui_FILES
		AboutDialog.cpp
		ArchiveDialog.cpp
		arnguiApp.cpp
		arnguiMain.cpp
		connection.cpp
		AutoTypeDialog.cpp
		CSDDialog.cpp
		DefineKeyDialog.cpp
		DebuggerDialog.cpp
		DriveSettingsDialog.cpp
		DriveStatusDialog.cpp
		EmuFileType.cpp
		EmuWindow.cpp
		OSD.cpp
		ExpansionRomDialog.cpp
		GetKeyDialog.cpp
		GraphicsEditor.cpp
		FileFiler.cpp
		ItemData.cpp
		JoystickDialog.cpp
		KeyJoyDialog.cpp
		KeyStickDialog.cpp
		PokeMemoryDialog.cpp
		PositionalKeyboardDialog.cpp
		LoadBinaryDialog.cpp
		MediaStatusDialog.cpp
		OnBoardRomDialog.cpp
		SaveBinaryDialog.cpp
		SnapshotSettingsDialog.cpp
		JoystickButtonDialog.cpp
		LabelManager.cpp
		winape_poke_database.cpp
    FullScreenDialog.cpp
    AudioSettingsDialog.cpp
    DevicesDialog.cpp
		YMDialogs.cpp
		arnmodule.cpp
    SortableListCtrl.cpp
	MonitorSettingsDialog.cpp
		hostg.c
		)

#if using inkz80 then include it's "connection" source file
#otherwise use arnold's z80. inkz80 is more accurate
IF(USE_INKZ80 MATCHES "Yes")
set (gui_FILES ${gui_FILES} InkZ80Connect.cpp)
else(USE_INKZ80 MATCHES "Yes")
set (gui_FILES ${gui_FILES} ArnZ80Connect.cpp)
endif(USE_INKZ80 MATCHES "Yes")

# if windows, include windows specific files (resource and windows sources)
if(CMAKE_SYSTEM STREQUAL "Windows")
  set(gui_FILES ${gui_FILES} windows/resource.rc windows/win.cpp)
endif(CMAKE_SYSTEM STREQUAL "Windows")


link_directories(${arnold_SOURCE_DIR}/cpc)
link_directories(${arnold_SOURCE_DIR}/cpc/debugger)
link_directories(${arnold_SOURCE_DIR}/cpc/z80tools)

# link against arnold's z80 files if not using inkz80
IF(USE_INKZ80 MATCHES "Yes")
else(USE_INKZ80 MATCHES "Yes")
link_directories(${arnold_SOURCE_DIR}/cpc/z80)
endif(USE_INKZ80 MATCHES "Yes")

link_directories(${arnold_SOURCE_DIR}/cpc/diskimage)

link_libraries( ${wxWidgets_LIBRARIES})
link_libraries( diskimage cpc debugger)

IF(USE_INKZ80 MATCHES "Yes")
link_libraries( inkz80 )
else(USE_INKZ80 MATCHES "Yes")
link_libraries( z80)
endif(USE_INKZ80 MATCHES "Yes")
link_libraries(z80tools)

# these are the resources arnold wants to load
set(arnold_RESOURCES 
	roms.zip 
	disabledbreakpoint.png
	breakpoint.png
	current.png
	arnlogo.png
	GUIFrame.xrc
  icons/32x32/autostart.png
  icons/32x32/cart.png
  icons/32x32/disk.png
  icons/32x32/snapshotload.png
  icons/32x32/snapshotsave.png
  icons/32x32/debugger.png
  icons/32x32/cass.png
  icons/32x32/rom.png
  font/MyFont16.bmp
)

if(APPLE)

# these are the additional required resources
set(mac_RESOURCES macosx/arnold.icns macosx/disk.icns macosx/tape.icns macosx/cartridge.icns macosx/snapshot.icns)

# copy the special plist
CONFIGURE_FILE( macosx/Info.plist.cmake ${arnold_SOURCE_DIR}/arngui/Info.plist)

# indicate where the emu resources (roms etc) go in the bundle
set_source_files_properties(${arnold_RESOURCES} PROPERTIES MACOSX_PACKAGE_LOCATION MacOS)

# indicate where the mac specific resources (icons) go in the bundle
set_source_files_properties(${mac_RESOURCES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)

# add the mac resources to the arnold resources
set(arnold_RESOURCES ${arnold_RESOURCES} ${mac_RESOURCES})

endif(APPLE)


add_executable(arnold MACOSX_BUNDLE WIN32 ${gui_FILES} ${arnold_RESOURCES})


# for linux copy files to destination
if(NOT APPLE)

ADD_CUSTOM_COMMAND(TARGET arnold POST_BUILD COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})

# generate GUIFrame.xrc
#add_custom_command(TARGET arnold POST_BUILD COMMAND wxformbuilder -g "${arnold_SOURCE_DIR}/arngui/arngui.fbp" COMMENT "Generating GUIFrame.xrc" VERBATIM)

# copy files to exe path
FOREACH ( resource_file ${arnold_RESOURCES} )
   SET (source "${arnold_SOURCE_DIR}/arngui/${resource_file}")
   GET_FILENAME_COMPONENT(destfile ${arnold_SOURCE_DIR}/arngui/${resource_file} NAME)
   SET (dest "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${destfile}")
   ADD_CUSTOM_COMMAND (
     TARGET arnold
      POST_BUILD
     COMMAND    ${CMAKE_COMMAND} -E copy_if_different ${source} ${dest} 
     COMMENT  " Copying ${source} to ${dest}")
ENDFOREACH (  resource_file ${arnold_RESOURCES} )

endif(NOT APPLE)

if(APPLE)

# copy the appropiate SDL library framework into the bundle
# we don't need to change the directory "links" inside it
# because it's already setup for bundling as it is.
if(USING_SDL MATCHES "Yes")
INSTALL(DIRECTORY /Library/Frameworks/SDL.framework DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/arnold.app/Contents/Frameworks)
endif(USING_SDL MATCHES "Yes")

if(USING_SDL2 MATCHES "Yes")
INSTALL(DIRECTORY /Library/Frameworks/SDL2.framework DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/arnold.app/Contents/Frameworks)
endif(USING_SDL2 MATCHES "Yes")

# indicate the plist needs copying into the bundle
set_target_properties(arnold PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${arnold_SOURCE_DIR}/arngui/Info.plist)

endif(APPLE)

# if linux or windows, change the name of the output binary if building debug version
if(NOT APPLE)
if(CMAKE_BUILD_TYPE STREQUAL "Debug")
set_target_properties(arnold PROPERTIES OUTPUT_NAME "arnold_debug")
endif(CMAKE_BUILD_TYPE STREQUAL "Debug")
endif(NOT APPLE)

TARGET_LINK_LIBRARIES(arnold cpc)
TARGET_LINK_LIBRARIES(arnold debugger)
TARGET_LINK_LIBRARIES(arnold platformspecific)

if (USING_SDL MATCHES "Yes")
TARGET_LINK_LIBRARIES(arnold sdlcommon)

endif(USING_SDL MATCHES "Yes")

if (USING_SDL2 MATCHES "Yes")
TARGET_LINK_LIBRARIES(arnold sdlcommon)
endif(USING_SDL2 MATCHES "Yes")


IF(USE_INKZ80 MATCHES "Yes")
TARGET_LINK_LIBRARIES(arnold inkz80)
else(USE_INKZ80 MATCHES "Yes")
TARGET_LINK_LIBRARIES(arnold z80)
endif(USE_INKZ80 MATCHES "Yes")
TARGET_LINK_LIBRARIES(arnold z80tools)

=== src/inkz80/CMakeLists.txt ===

set(inkZ80_FILES
    inkz80.cpp
    inkz80.h
		)
add_library (inkz80 ${inkZ80_FILES})

=== src/arngui/sdl/CMakeLists.txt ===

set(platformSpecific_FILES 
  SDLPlatformSpecific.cpp
  )

include_directories(sdl)
link_libraries( ${SDL_LIBRARY} )

IF(USE_GTK2 MATCHES "Yes")
	link_libraries(${GTK2_LIBRARIES} )
endif(USE_GTK2 MATCHES "Yes")

add_library (platformspecific ${platformSpecific_FILES})

=== src/arngui/sdl2/CMakeLists.txt ===

set(platformSpecific_FILES
  SDL2PlatformSpecific.cpp
  )

if (APPLE)
	set(platformSpecific_FILES ${platformSpecific_FILES} SDL2PlatformSpecificMac.m)
endif(APPLE)

include_directories(sdl2)
link_libraries(${SDL2_LIBRARY})

IF(USE_GTK2 MATCHES "Yes")
	link_libraries(${GTK2_LIBRARIES} )
endif(USE_GTK2 MATCHES "Yes")


add_library (platformspecific ${platformSpecific_FILES})

=== src/arngui/sdlcommon/CMakeLists.txt ===

set(sdlcommon_FILES 
  sound.cpp
  )

include_directories(sdlcommon)

# not required on 2.0
#link_libraries( ${SDL_LIBRARY} )

add_library (sdlcommon ${sdlcommon_FILES})

=== src/tools/makez80/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (makez80)

set(makez80_FILES .c)

add_executable(makez80 WIN32 makez80.c z80gen.c)

=== src/arngui/windows/icons/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" OFF)

project (icons)
SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  # User wants to build Dynamic Libraries, so change the LIB_TYPE variable to CMake keyword 'SHARED'
  SET (LIB_TYPE SHARED)
ENDIF (BUILD_SHARED_LIBS)

set(icon_FILES 
		main.cpp 
		resource.rc
		)

SET_TARGET_PROPERTIES (icons PROPERTIES DEFINE_SYMBOL  "COMPILING_DLL" )
add_library(icons SHARED ${icon_FILES})

=== src/test/cpc/patrik_z80test/cpc/z80test-1.0/src/Makefile ===
# gmake

NAME = z80test
VERSION = 1.0
PKG := $(NAME)-$(VERSION)

PROGS := z80full z80flags z80doc z80docflags z80ccf z80memptr
SRCS  := main idea crctab tests testmacros print

all: $(addsuffix .dsk,$(PROGS))

.DELETE_ON_ERROR: %.out

%.out : %.asm $(addsuffix .asm,$(SRCS))
	sjasm $<

%.dsk : %.out
	cpcxfs -nd >$@.dsk
	cpcxfs >$@.dsk -p %.out

FILES := Makefile loader.bas $(addsuffix .asm,$(PROGS)) $(addsuffix .asm, $(SRCS))

dist: all
	ln -s .. $(PKG)
	cp *.dsk $(PKG)
	zip ../$(PKG).zip $(addprefix $(PKG)/src/, $(FILES)) $(PKG)/*.txt $(PKG)/*.dsk
	rm $(PKG)/*.dsk
	rm $(PKG)

clean:
	rm -rf *.out *.lst *.dsk

tidy: clean
	rm -rf $(PROGS)

=== src/arngui/linux/deb/debian/changelog ===
arnold (1.0-0ubuntu1) vivid; urgency=low

  * Initial release

 -- kevin <kev@cpcfreak.co.uk>  Sun, 19 Jul 2015 12:50:38 +0100

=== src/arngui/linux/deb/debian/control ===
Source: arnold
Section: games
Priority: optional
Maintainer: Kevin Thacker <kev@cpcfreak.co.uk>
Build-Depends: debhelper (>= 9), cmake, libwxbase3.0-0 (>= 3.0.1), libwxgtk3.0-0 (>= 3.0.1), libsdl1.2-dev (>= 1.2.15)
Standards-Version: 3.9.5
Homepage: http://80.229.30.31:1971/arnold
Vcs-Fossil: http://80.229.30.31:1971/arnold

Package: arnold
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Amstrad CPC emulator
